Module | Tk::Y_Scrollable
In: | tk/lib/tk/scrollable.rb

### Methods

yscrollbar yscrollcommand yview yview_moveto yview_scroll

### Public Instance methods

yscrollbar(bar=nil)

[Source]

    # File tk/lib/tk/scrollable.rb, line 63
        def yscrollbar(bar=nil)
          if bar
            @yscrollbar = bar
            @yscrollbar.orient 'vertical'
            self.yscrollcommand {|*arg| @yscrollbar.set(*arg)}
            @yscrollbar.command {|*arg| self.yview(*arg)}
            Tk.update  # avoid scrollbar trouble
          end
          @yscrollbar
        end

yscrollcommand(cmd=Proc.new)

[Source]

    # File tk/lib/tk/scrollable.rb, line 42
        def yscrollcommand(cmd=Proc.new)
          configure_cmd 'yscrollcommand', cmd
          # Tk.update  # avoid scrollbar trouble
          self
        end

yview(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 48
        def yview(*index)
          if index.size == 0
            list(tk_send_without_enc('yview'))
          else
            tk_send_without_enc('yview', *index)
            self
          end
        end

yview_moveto(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 56
        def yview_moveto(*index)
          yview('moveto', *index)
        end

yview_scroll(*index)

[Source]

    # File tk/lib/tk/scrollable.rb, line 59
        def yview_scroll(*index)
          yview('scroll', *index)
        end

[Validate]